/*
 * Copyright 1993, 1995 Christopher Seiwald.
 *
 * This file is part of Jam - see jam.c for Copyright information.
 */

/*
 * execcmd.h - execute a shell script
 *
 * 05/04/94 (seiwald) - async multiprocess interface
 */
#ifdef GRAPHISOFT_MPW_FIX
#if defined (macintosh)
typedef struct _list LIST;
typedef struct _cmd CMD;
#endif
#endif

void execcmd(
	char *string,
	void (*func)( void *closure, int status ),
	void *closure,
	LIST *shell );

int execwait();

#ifdef GRAPHISOFT_MPW_FIX
#if defined (macintosh)
void printexeccmd (
	FILE *f, 
	CMD *command);
#endif
#endif
# define EXEC_CMD_OK	0
# define EXEC_CMD_FAIL	1
# define EXEC_CMD_INTR	2
